socket_getifname(3)

NAME
socket_getifname - get interface name

SYNTAX
#include <socket.h> const char* socket_getifname(uint32 interface);

DESCRIPTION
socket_getifname returns the symbolic interface name for a network interface number. The returned char* is a static buffer in the libc. If you query the named for more than one interface, you have to save the name before calling socket_getifidx again. If something goes wrong, socket_getifname returns "[unknown]".

SEE ALSO
socket_getifidx(3), socket_connect6(3)